## org.apache.batik.anim.values
Class AnimatableNumberOrIdentValue

    java.lang.Object
      org.apache.batik.anim.values.AnimatableValue
          org.apache.batik.anim.values.AnimatableNumberValue
              org.apache.batik.anim.values.AnimatableNumberOrIdentValue

    public class AnimatableNumberOrIdentValue

extends AnimatableNumberValue

A number-or-identifier value in the animation system.

Field Summary
`protected java.lang.String` `ident` The identifier.
`protected boolean` `isIdent` Whether this value is an identifier.
`protected boolean` `numericIdent` Whether numbers should be considered as numeric keywords, as with the font-weight property.

Fields inherited from class org.apache.batik.anim.values.AnimatableNumberValue
`value`

Fields inherited from class org.apache.batik.anim.values.AnimatableValue
`decimalFormat, hasChanged, target`

Constructor Summary
`protected` `AnimatableNumberOrIdentValue(AnimationTarget target)` Creates a new, uninitialized AnimatableNumberOrIdentValue.
`` `AnimatableNumberOrIdentValue(AnimationTarget target, float v, boolean numericIdent)` Creates a new AnimatableNumberOrIdentValue for a Number value.
`` `AnimatableNumberOrIdentValue(AnimationTarget target, java.lang.String ident)` Creates a new AnimatableNumberOrIdentValue for an identifier value.

Method Summary
`boolean` `canPace()` Returns whether two values of this type can have their distance computed, as needed by paced animation.
`float` `distanceTo(AnimatableValue other)` Returns the absolute distance between this value and the specified other value.
`java.lang.String` `getCssText()` Returns the CSS text representation of the value.
`AnimatableValue` `getZeroValue()` Returns a zero value of this AnimatableValue's type.
`AnimatableValue` `interpolate(AnimatableValue result, AnimatableValue to, float interpolation, AnimatableValue accumulation, int multiplier)` Performs interpolation to the given value.

Methods inherited from class org.apache.batik.anim.values.AnimatableNumberValue
`getValue`

Methods inherited from class org.apache.batik.anim.values.AnimatableValue
`formatNumber, hasChanged, toString, toStringRep`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isIdent

    protected boolean isIdent

  Whether this value is an identifier.

### ident

    protected java.lang.String ident

  The identifier.

### numericIdent

    protected boolean numericIdent

  Whether numbers should be considered as numeric keywords, as with the font-weight property.

Constructor Detail

### AnimatableNumberOrIdentValue

    protected AnimatableNumberOrIdentValue(AnimationTarget target)

  Creates a new, uninitialized AnimatableNumberOrIdentValue.

### AnimatableNumberOrIdentValue

    public AnimatableNumberOrIdentValue(AnimationTarget target,
                                        float v,
                                        boolean numericIdent)

  Creates a new AnimatableNumberOrIdentValue for a Number value.

### AnimatableNumberOrIdentValue

    public AnimatableNumberOrIdentValue(AnimationTarget target,
                                        java.lang.String ident)

  Creates a new AnimatableNumberOrIdentValue for an identifier value.

Method Detail

### canPace

    public boolean canPace()

  Returns whether two values of this type can have their distance computed, as needed by paced animation.

  Overrides:
    `canPace` in class `AnimatableNumberValue`

### distanceTo

    public float distanceTo(AnimatableValue other)

  Returns the absolute distance between this value and the specified other value.

  Overrides:
    `distanceTo` in class `AnimatableNumberValue`

### getZeroValue

    public AnimatableValue getZeroValue()

  Returns a zero value of this AnimatableValue's type.

  Overrides:
    `getZeroValue` in class `AnimatableNumberValue`

### getCssText

    public java.lang.String getCssText()

  Returns the CSS text representation of the value.

  Overrides:
    `getCssText` in class `AnimatableNumberValue`

### interpolate

    public AnimatableValue interpolate(AnimatableValue result,
                                       AnimatableValue to,
                                       float interpolation,
                                       AnimatableValue accumulation,
                                       int multiplier)

  Performs interpolation to the given value.

  Overrides:
    `interpolate` in class `AnimatableNumberValue`
  Parameters:
    `result` - the object in which to store the result of the interpolation, or null if a new object should be created
    `to` - the value this value should be interpolated towards, or null if no actual interpolation should be performed
    `interpolation` - the interpolation distance, 0 <= interpolation <= 1
    `accumulation` - an accumulation to add to the interpolated value
    `multiplier` - an amount the accumulation values should be multiplied by before being added to the interpolated value

Copyright © 2008 Apache Software Foundation. All Rights Reserved.